/* -----------------------------------------------------------	*/
/* ShadowVolume Tutorial										*/
/* -----------------------------------------------------------	*/
/* by n0rmAnfreAK												*/
/* visit www.normanfreak.de.vu for updates						*/
/*																*/
/* feel free to email me any critic and comments				*/
/* ------------------------------------------------------------ */

#ifndef _svhelper_h_
#define _svhelper_h_

#include <gl\glut.h>

#include "Edge.h"

class SVHelper
{
	static float vectorExtend;

	public:
		static bool isVisibleToLight(int a, int b, int c, float pnts[], float lightpos[3]);

		static bool isContourEdge(Edge* edge, float pnts[], float lightpos[3], bool &faceA);

		static void stretchEdge(float a[3], float b[3], float lightpos[3]);
};

#endif  _svhelper_h_