#include "Edge.h"
	
Edge::Edge()
{
	faceApoint = faceBpoint = pointA = pointB = -1;
}

Edge::Edge(int face, int a, int b)
{
	faceApoint = face;
	faceBpoint = -1;
	pointA = a;
	pointB = b;
}

bool Edge::equals(int a, int b)
{
	if(pointA == a && pointB == b) 
	{
		return true;
	}
	else if(pointA == b && pointB == a)
	{
		return true;
	}
	return false;
}

bool Edge::equals(Edge b)
{
	return equals(b.pointA, b.pointB);
}

void Edge::print()
{
	printf(" edge %i %i between %i and %i \n",pointA, pointB, faceApoint, faceBpoint);	
}